#######################################################################################################
# File-Name:       00-SimulatedData.R           
# Date:            9.03.2014                                
# Author:          (Nigel) Benjamin Neely (nigelneely@gmail.com)
# Purpose:         Generate data based on assumed parameters of TPF. We do this because there is no
#                  freely available data which allows us to verify our variance estimates.
# Data Used:       N/A
# Packages Used:   N/A
#######################################################################################################
# NOTE: If you are running this in the R console you must use the 'setwd' command to set the 
# working directory for the console to whereever you have saved this file prior to running.
# Otherwise you will see errors when loading data or saving figures!
#######################################################################################################

assumed.TPF                 <- 0.8
assumed.var.TPF             <- (0.05/2)^2
assumed.ppv.symptom.Rplus   <- list("1: All 0's"=0.00,"2: 1-3 1's"=0.60, "3: All 1's"=0.90)
assumed.ppv.symptom.Rminus  <- list("1: All 0's"=0.90,"2: 1-3 1's"=0.30, "3: All 1's"=0.00)



r <- rbinom(100,1,0.8)
mean(r)
var(r)