#######################################################################################################
# File-Name:       10-GenerateData_7.2.R           
# Date:            7.18.2014                                
# Author:          (Nigel) Benjamin Neely (nigelneely@gmail.com)
# Purpose:         Generate Data within crosstabs for example 7.2 (page 175) of the book
#                  by Margaret Sullivan Pep.
# Data Used:       N/A
# Packages Used:   N/A
#######################################################################################################
# NOTE: If you are running this in the R console you must use the 'setwd' command to set the 
# working directory for the console to whereever you have saved this file prior to running.
# Otherwise you will see errors when loading data or saving figures!
#######################################################################################################
rep.row<-function(x,n){
  matrix(rep(x,each=n),nrow=n)
}
#Although this stratified sample really assuming stratifying (i.e. mutually exclusive groups), we will treat as though they are 
#phenotypes so they would not be mutually exclusive groups
#Generate our "population" data - so we'll have d in here as well, but we'll treat it as unknown for sample size and then see what happens
simdat  <- data.frame(rbind(rep.row(c(1,1,1,1),40),
                            rep.row(c(1,0,1,1),10),
                            rep.row(c(0,1,1,1),5),
#                             rep.row(c(0,0,1),3),
#                             rep.row(c(1,1,0),2),
                            rep.row(c(1,0,0,1),85),
                            rep.row(c(0,1,0,1),2),
                            rep.row(c(0,1,0,0),3),
                            rep.row(c(0,0,0,1),273),
                            rep.row(c(0,0,0,0),582)))
#Define the test (authoritative phenotype defintiion) - y (AHRQ)
#Define the true disease standard (gold-standard) - d (Death)
#Define the symptom class - please note, in this example, there will be only 2 symptom classes, typically we have 3 or more - a (symptom_class)
colnames(simdat)      <- c("AHRQ","Death","symptom_class","selected")

###################################################
#Confirm the "Fully-Observed Data" Section
#table(simdat$y,simdat$d,simdat$a)
#table(simdat$AHRQ,simdat$Death,simdat$symptom_class)
#Confirm the "Selected Sample Size"
#table(simdat$y[which(simdat$selected==1)],simdat$d[which(simdat$selected==1)],simdat$a[which(simdat$selected==1)])
#table(simdat$AHRQ[which(simdat$selected==1)],simdat$Death[which(simdat$selected==1)],simdat$symptom_class[which(simdat$selected==1)])
###################################################
#Our program is adaptided to a very particular situation: stratified by overlapping symptom groups, so we add that now:
# a2 <- rbinom(nrow(simdat),1,0.85)



