#######################################################################################################
# File-Name:       20-phenotypeSummary.R           
# Date:            7.18.2014                                
# Author:          (Nigel) Benjamin Neely (nigelneely@gmail.com)
# Purpose:         Summarize data generated in 10-GenerateData_7.2.R to be used in the program 
#                  30-GenerateSampleSizeEstimates.R
# Data Used:       simdat (generated from 10-GenerateData_7.2.R)
# Packages Used:   N/A
#######################################################################################################
# NOTE: If you are running this in the R console you must use the 'setwd' command to set the 
# working directory for the console to whereever you have saved this file prior to running.
# Otherwise you will see errors when loading data or saving figures!
#######################################################################################################
#Now, at this point we aggregate the data somewhat to get sample size estimates, so let's first pull the data in and see what happens:
source("10-GenerateData_7.2.R")
#Enter the phenotypes that we wish to validate and summarize to input to Sample Size calculation
validatePhenotypes    <- c('AHRQ')
sumariz               <- data.frame(ftable(simdat[validatePhenotypes]),stringsAsFactors=FALSE)
colnames(sumariz)     <- c("AHRQ","Freq")
sumariz$symptom_class <- sumariz$AHRQ
#Will need to do this for each one separately, no identified way to automate this (yet)
sumariz$symptom_class <- factor(sumariz$symptom_class,
                                levels=c(0,1),
                                labels=c("1: All 0's","2: All 1's"))
