verificationBiasedSampling
==========================

R programs that can be used to examine sample properties and estimators when verification bias is of concern. Two data sets are provided which can be used to test the R functions provided.


10-GenerateData_7.2.R
==========================

This program will generate a data.frame that can be used to recreate the tables found on page 175 (Example 7.2) of "The Statistical Evaluation of Medical Tests for Classification and Prediction".


20-phenotypeSummary.R
==========================

This program will aggregate data from 10-GenerateData_7.2.R so that it can be used as input into the program BeggAndGreeneSampleSizeCalculation.R

BeggAndGreeneSampleSizeCalcualtion.R
==========================

This program is an implementation of methodology found in the manuscript Assessment of Diagnostic Tests When Disease Verification is Subject to Selection Bias, Colin B. Begg and Robert A. Greenes. Biometrics 39,207-215, March 1983. The example at the end of the program uses data generated from 20-phenotypeSummary.R


BeggAndGreeneTPFandFPFestimators.R
==========================

Once a sample has been drawn (using symptom classes), this program generates the Begg and Greene estimators for TPF and FPF. The example at the end of the program uses data generated from 10-GenerateData_7.2.R. Results can be verified in Dr. Pepe's book page 175.

generateDataBinaryClassification.R
==========================

If we sample according to BeggAndGreeneSampleSizeCalculation.R, do we get what we would expect? Use this program to generate data under the assumptions used in that program to better understand. So that means that we run the
following programs: (1) generateDataBinaryClassification.R (use multiple calls to this function), (2) Using the data generated in (1), plug into BeggAndGreeneSampleSizeCalculation.R (ignoring the disease variable) and draw a 
sample. Use the sample drawn to estimate the metrics (BeggAndGreeneTPFandFPFestimators.R) - did you come close? Let's find out...